// Copyright (c) 2018, the Zefyr project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

import 'package:url_launcher/url_launcher.dart';
import 'package:zefyr_nitro/zefyr.dart';

/// Custom image delegate used by this example to load image from application
/// assets.
class CustomAttrDelegate implements ZefyrAttrDelegate {
  @override
  void onLinkTap(String link) async {
    print(link);
    if (await canLaunch(link)) {
      launch(link);
    }
  }

  @override
  void onCopy(String text) {
    print(text);
  }
}
